//========================================================================================
//
//	File:				Part.r
//	Release Version:	$ ODF 1 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#define SystemSevenOrBetter 1			// we want the extended types
#define	SystemSevenOrLater	1			// Types.r uses this variable

#include "Types.r"
#include "SysTypes.r"
#include "CodeFragmentTypes.r"

#ifndef __ODTYPES_R__
#include "ODTypes.r"
#endif

#ifndef FWBLDDEF_H
#include "FWBldDef.h"
#endif

#ifndef DEFINES_K
#include "Defines.k"
#endif

#ifndef BINDING_K
#include "Binding.k"
#endif

//-------------------------------------------------------------------------------------
// Code Fragment Resource
//-------------------------------------------------------------------------------------

resource 'cfrg' (0) {
	{	/* array memberArray: 2 elements */
		/* [1] */
#ifdef FW_BUILD_MAC68K
		kMotorola,
#else
		kPowerPC,
#endif
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		kFormEditor,
		/* [2] */
#ifdef FW_BUILD_MAC68K
		kMotorola,
#else
		kPowerPC,
#endif
		kFullLib,
		kNoVersionNum,
		kNoVersionNum,
		kDefaultStackSize,
		kNoAppSubFolder,
		kIsLib,
		kOnDiskFlat,
		kZeroOffset,
		kWholeFork,
		"Form"
	}
};

//-------------------------------------------------------------------------------------
// NMAP Resources
//-------------------------------------------------------------------------------------

resource kODNameMappings (kKindCategoryMapId) {
	kODKind,
	{	/* array Types: 1 elements */
		/* [1] */
		kFormKind,
		kODIsAnISOStringList
		{
			{	/* array ClassIDs: 1 elements */
				/* [1] */
				kODCategoryPlainText
			}
		}
	}
};

resource kODNameMappings (kEditorKindMapId) {
	kODEditorKinds,
	{	/* array Types: 1 elements */
		/* [1] */
		kFormEditor,
		kODIsAnISOStringList
		{
			{	/* array ClassIDs: 1 elements */
				/* [1] */
				kFormKind
			}
		}
	}
};

resource kODNameMappings (kEditorUserStringMapId) {
	kODEditorUserString,
	{	/* array Types: 1 elements */
		/* [1] */
		kFormEditor,
		kODIsINTLText
		{
			smRoman,
			langEnglish,
			kFormEditorUserString
		}
	}
};

resource kODNameMappings (kKindUserStringMapId) {
	kODKindUserString,
	{	/* array Types: 1 elements */
		/* [1] */
		kFormKind,
		kODIsINTLText
		{
			smRoman,
			langEnglish,
			kFormKindUserString
		}
	}
};

resource kODNameMappings (kOldMacOSTypeMapId) {
	kODKindOldMacOSType,
	{	/* array KeyList: 1 elements */
		/* [1] */
		kFormKind,
		kODIsMacOSType {
			kFormOSType
		}
	}
};

resource kODNameMappings (kEditorPlatformKinds) {
	kODEditorPlatformKind,
	{	/* array KeyList: 1 elements */
		/* [1] */
		kFormEditor,
		kODIsPltfmTypeSpac {
			/* array PltfmTypeSpacList: 2 elements */
			{
				/* [1] */
				kODPlatformFileType, 
				kTEXTOSType, 
				smRoman, 
				langEnglish, 
				kDragKindUserString1, 
				kODCategoryPlainText,
				/* [2] */
				kODPlatformDataType, 
				kTEXTOSType, 
				smRoman, 
				langEnglish, 
				kDragKindUserString2, 
				kODCategoryPlainText
			}
		}
	}
};


include "MacIcons.rsrc" not 'ckid';

include "MacVers.rsrc" not 'ckid';

